{% import './tools/_macros.css' %}

* {
  box-sizing: border-box;
}

.col-1 {width: 8.33%;}
.col-2 {width: 16.66%;}
.col-3 {width: 25%;}
.col-4 {width: 33.33%;}
.col-5 {width: 41.66%;}
.col-6 {width: 50%;}
.col-7 {width: 58.33%;}
.col-8 {width: 66.66%;}
.col-9 {width: 75%;}
.col-10 {width: 83.33%;}
.col-11 {width: 91.66%;}
.col-12 {width: 100%;}

.row::after {
  content: "";
  clear: both;
  display: table;
}

[class*="col-"] {
  float: left;
  padding: .6em;
  /* border: 1px solid red; */
}

{## Table of contents

  1. Variables
    1a. Containers
    1b. Colors
    1c. Typography
    1d. Buttons
    1e. Forms
    1f. Tables
    1g. Website header
    1h. Website footer
  2. Containers / Grid / DND areas
  3. Typography
  4. Buttons
  5. Forms
  6. Tables
  7. Website header
  8. Website footer
  9. Blog
  10. System pages
  11. Modules

##}

{###########################################################################}
{############################   1. Variables   #############################}
{###########################################################################}

/* 1a. Containers */

{% set container_width = theme.spacing.maximum_content_width ~ 'px' %}
{% set dnd_section_padding = theme.spacing.vertical_spacing ~ 'px ' ~ '1rem' %}

/* 1b. Colors */

{% set primary_color = theme.global_colors.primary.color  %}
{% set secondary_color = theme.global_colors.secondary.color %}

/* 1c. Typography */

{% set primary_font = theme.global_fonts.primary %}
{% set secondary_font = theme.global_fonts.secondary %}

{% set h1_font = theme.text.h1.font %}
{% set h1_text_transform = theme.text.h1.transform %}

{% set h2_font = theme.text.h2.font %}
{% set h2_text_transform = theme.text.h2.transform %}

{% set h3_font = theme.text.h3.font %}
{% set h3_text_transform = theme.text.h3.transform %}

{% set h4_font = theme.text.h4.font %}
{% set h4_text_transform = theme.text.h4.transform %}

{% set h5_font = theme.text.h5.font %}
{% set h5_text_transform = theme.text.h5.transform %}

{% set h6_font = theme.text.h6.font %}
{% set h6_text_transform = theme.text.h6.transform %}

{% set body_font = theme.text.body_font.font %}

{% set anchor_font = theme.text.links.font %}

/* 1d. Buttons */

{% set button_font = theme.buttons.text.font %}
{% set button_text_transform = theme.buttons.text.transform %}
{% set button_bg_color = color(theme.buttons.background.color) %}
{% set button_border = theme.buttons.border.border.css %}
{% set button_corner_radius = theme.buttons.corner.radius ~ 'px' %}
{% set button_spacing = theme.buttons.spacing.spacing.css %}

/* 1e. Forms */

{% set form_title_font_color = theme.forms.title.text.color.color %}

{% set form_label_font_color = theme.forms.labels.text.color.color %}

{% set form_help_text_font_color = theme.forms.help_text.text.color.color %}

{% set form_field_placeholder_color = theme.forms.fields.placeholder.color.color %}
{% set form_field_font_color = theme.forms.fields.text.color.color %}
{% set form_field_bg_color = color(theme.forms.fields.background.color) %}
{% set form_field_border = theme.forms.fields.border.border.css %}
{% set form_field_corner_radius = theme.forms.fields.corner.radius ~ 'px' %}


/* 1f. Tables */

{% set table_head_bg_color = color(theme.tables.header.background.color) %}
{% set table_head_font_color = theme.tables.header.text.color.color %}

{% set table_bg_color = color(theme.tables.table_body.background.color) %}
{% set table_font_color = theme.tables.table_body.text.color.color %}

{% set table_footer_bg_color = color(theme.tables.footer.background.color) %}
{% set table_footer_font_color = theme.tables.footer.text.color.color %}

{% set table_cell_spacing = theme.tables.cells.spacing.spacing.css %}
{% set table_border = theme.tables.cells.border.border.css %}

/* 1g. Website header */

{% set nav_font_color = theme.header.menu.text.color.color %}
{% set nav_drop_down_font_color = theme.header.menu.drop_downs.text.color.color %}
{% set nav_drop_down_bg_color = color(theme.header.menu.drop_downs.background.color) %}
{% set nav_drop_down_border = theme.header.menu.drop_downs.border.border.css %}

{% set header_bg_color = color(theme.header.background.color) %}

/* 1h. Website footer */

{% set footer_bg_color = color(theme.footer.background.color) %}
{% set footer_font_color = theme.footer.text.color.color %}

{###########################################################################}
{##################   2. Containers / Grid / DND areas   ###################}
{###########################################################################}

.content-wrapper {
  max-width: {{ container_width }};
}

.dnd-section,
.content-wrapper--vertical-spacing {
  padding: {{ dnd_section_padding }};
}

.dnd-section > .row-fluid {
  max-width: {{ container_width }};
}

{###########################################################################}
{###########################   3. Typography   #############################}
{###########################################################################}

html {
  font-size: {{ body_font.size ~ body_font.size_unit }};
}



body {
  {{ body_font.style }};
  color: {{ body_font.color }};
  font-size: {{ body_font.size ~ body_font.size_unit }};
}

/* Paragraphs */

.body-container--home p {
  {{ body_font.style }};

  font-family: Cabin;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 1.0499999523162842px;
  text-align: left;
  color: #797A7D;
  margin-top: 10% !important;
  margin-bottom: 10% !important;
}

.body-container--about p {
  {{ body_font.style }};

  font-family: Cabin;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 1.0499999523162842px;
  text-align: left;
  color: #797A7D;
  margin: 0 !important;
}


/* Anchors */

a {
  {{ anchor_font.style }};
  color: {{ anchor_font.color }};
}

a:hover,
a:focus {
  {{ anchor_font.style }};
  color: {{ color_variant(anchor_font.color, -40) }};
}

a:active {
  {{ anchor_font.style }};
  color: {{ color_variant(anchor_font.color, 40) }};
}

/* p {
  margin-top: 10% !important;
  margin-bottom: 10% !important;
} */

.landing-page-img {
  right: 0;
  width: 876px;
  position: absolute;
  
}

/* Headings */

h1,
.h1 {
  {{ h1_font.style }};
  color: #000000;
  font-size: {{ h1_font.size ~ h1_font.size_unit }};
  text-transform: {{ h1_text_transform }};
  font-weight: 700;
  line-height: 71px;
  letter-spacing: 0em;
}

h2,
.h2 {
  {{ h2_font.style }};
  color: #000000;
  font-size: {{ h2_font.size ~ h2_font.size_unit }};
  text-transform: {{ h2_text_transform }};
  font-weight: 500;
  line-height: 71px;
  letter-spacing: 0em;

}

h3,
.h3 {
  {{ h3_font.style }};
  color: {{ h3_font.color }};
  font-size: {{ h3_font.size ~ h3_font.size_unit }};
  text-transform: {{ h3_text_transform }};
}

h4,
.h4 {
  {{ h4_font.style }};
  color: {{ h4_font.color }};
  font-size: {{ h4_font.size ~ h4_font.size_unit }};
  text-transform: {{ h4_text_transform }};
}

h5,
.h5 {
  {{ h5_font.style }};
  color: {{ h5_font.color }};
  font-size: {{ h5_font.size ~ h5_font.size_unit }};
  text-transform: {{ h5_text_transform }};
}

h6,
.h6 {
  {{ h6_font.style }};
  color: {{ h6_font.color }};
  font-size: {{ h6_font.size ~ h6_font.size_unit }};
  text-transform: {{ h6_text_transform }};
}

/* Blockquote */

blockquote {
  border-left-color: {{ secondary_color }};
}

{###########################################################################}
{############################   4. Buttons   ###############################}
{###########################################################################}

button,
.button {
  {{ button_border }}
  {{ button_spacing }}
  {{ button_font.style }};
  background-color: {{ button_bg_color }};
  border-radius: {{ button_corner_radius }};
  color: {{ button_font.color }};
  text-transform: {{ button_text_transform }};
}

button:hover,
button:focus,
.button:hover,
.button:focus {
  {{ button_font.style }};
  background-color: rgba({{ color_variant(theme.buttons.background.color.color, -40)|convert_rgb }}, {{ theme.buttons.background.color.opacity / 100 }});
  border-color: {{ color_variant(theme.buttons.border.border.top.color, -40) }};
}

button:active,
.button:active {
  {{ button_font.style }};
  background-color: rgba({{ color_variant(theme.buttons.background.color.color, 40)|convert_rgb }}, {{ theme.buttons.background.color.opacity / 100 }});
  border-color: {{ color_variant(theme.buttons.border_color.color, 40) }};
}

{###########################################################################}
{##############################   5. Forms   ###############################}
{###########################################################################}

form,
.submitted-message {
  {{ body_font.style }};
}

/* Form title */

.form-title {
  color: {{ form_title_font_color }};
}

/* Labels */

form label {
  color: {{ form_label_font_color }};
  display: none;
}

/* Help text */

form legend {
  color: {{ form_help_text_font_color }};
}

/* Inputs */

form input[type=text],
form input[type=email],
form input[type=password],
form input[type=tel],
form input[type=number],
form input[type=file],
form select,
form textarea {
  {{ form_field_border }}
  background-color: {{ form_field_bg_color }};
  color: {{ form_field_font_color }};
  border-radius: {{ form_field_corner_radius }};
  font-size: 20px;
}

/* Form placeholder text */

::-webkit-input-placeholder {
  color: {{ form_field_placeholder_color }};
  font-style: italic;
}

::-moz-placeholder {
  color: {{ form_field_placeholder_color }};
}

:-ms-input-placeholder {
  color: {{ form_field_placeholder_color }};
}

::placeholder {
  color: {{ form_field_placeholder_color }};
}

/* Inputs - date picker */

.hs-fieldtype-date .input .hs-dateinput:before {
  color: {{ form_field_placeholder_color }};
}

.fn-date-picker td.is-selected .pika-button {
  background: {{ primary_color }};
}

.fn-date-picker td .pika-button:hover {
  background-color: {{ primary_color }} !important;
}

.fn-date-picker td.is-today .pika-button {
  color: {{ primary_color }};
}

/* Submit button */

form input[type=submit],
form .hs-button {
  {{ button_border }}
  {{ button_spacing }}
  {{ button_font.style }};
  background-color: {{ button_bg_color }};
  border-radius: {{ button_corner_radius }};
  color: {{ button_font.color }};
  font-size: {{ button_font.size ~ button_font.size_unit }};
  text-transform: {{ button_text_transform }};
}

form input[type=submit]:hover,
form input[type=submit]:focus,
form .hs-button:hover,
form .hs-button:focus {
  background-color: rgba({{ color_variant(theme.buttons.background.color.color, -40)|convert_rgb }}, {{ theme.buttons.background.color.opacity / 100 }});
  border-color: {{ color_variant(theme.buttons.border.border.top.color, -40) }};
}

form input[type=submit]:active,
form .hs-button:active {
  background-color: rgba({{ color_variant(theme.buttons.background.color.color, 40)|convert_rgb }}, {{ theme.buttons.background.color.opacity / 100 }});
  border-color: {{ color_variant(theme.buttons.border_color.color, 40) }};
}

{###########################################################################}
{#############################   6. Tables   ###############################}
{###########################################################################}

/* Table */

table {
  {{ table_border }}
  background-color: {{ table_bg_color }};
}

/* Table cells */

td,
th {
  {{ table_border }}
  {{ table_cell_spacing }}
  border-color: {{ table_border_color }};
  color: {{ table_font_color }};
}

/* Table header */

thead th {
  background-color: {{ table_head_bg_color }};
  color: {{ table_head_font_color }};
}

/* Table footer */

tfoot td {
  background-color: {{ table_footer_bg_color }};
  color: {{ table_footer_font_color }};
}

{###########################################################################}
{###########################   7. Website header   #########################}
{###########################################################################}

.header {
  background-color: {{ header_bg_color }};
}

.landing-header {
  /* background-color: {{ header_bg_color }}; */
  position: absolute;
  width: 100%;
  height: 96px;
  left: 0px;
  top: 0px;

  background: #FFFFFF;
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.15);

  margin-bottom: 500px;
}

.body-container--home{
  margin-top: 96px;
}

.body-container--about{
  margin-top: 96px;
  background: #E5E5E5;
}

.hello .header-top-row-0-background-image{
  background-size: contain !important;
  background-repeat: repeat !important;
}

.hello .content-wrapper{
  padding: 0 !important; 
  max-width: auto !important; 
}

.body-container--home img {
  right: 0;
  width: 876px;
  position: absolute;
  z-index: -1;
}

@media (max-width:629px) {
  .body-container--home img {
    display: none;
  }
}

@media (max-width:653px) {
  .body-container--home img {
    display: none;
  }
}

@media (max-width:896px) {
  .body-container--home img {
    width: 476px;
    top: 350px;
  }
}

@media (min-width:820px) {
  .body-container--home img {
    width: 490px;
    top: 300px;
  }
}

@media (min-width:1000px) {
  .body-container--home img {
    width: 660px;
    top: 285px;
  }
}

.header__logo__news{
  background-image: url("Group499.png")
}

.menu__link,
.header__logo .logo-company-name,
.header__language-switcher-label-current,
.header__language-switcher .lang_list_class li a {
  color: {{ nav_font_color }};
  font-family: {{ body_font.font }};
}

.menu__child-toggle-icon {
  border-top-color: {{ nav_font_color }};
}

.menu .menu__link:hover,
.menu .menu__link:focus,
.header__language-switcher-label-current:hover,
.header__language-switcher-label-current:focus,
.header__language-switcher .lang_list_class li:hover a,
.header__language-switcher .lang_list_class li a:focus {
  color: {{ color_variant(nav_font_color, -40) }};
}

.menu__child-toggle-icon:hover,
.menu__child-toggle-icon:focus {
  border-top-color: {{ color_variant(nav_font_color, -40) }};
}

.menu .menu__link:active,
.header__language-switcher-label-current:active,
.header__language-switcher .lang_list_class li a:active {
  color: {{ color_variant(nav_font_color, 40) }};
}

.menu__child-toggle-icon:active {
  border-top-color: {{ color_variant(nav_font_color, 40) }};
}

.menu .menu__item--depth-1 > .menu__link--active-link:after {
  background-color: {{ nav_font_color }};
}

@media (min-width: 767px) {
  .menu .menu__submenu,
  .header__language-switcher .lang_list_class {
    {{ nav_drop_down_border }}
    background-color: {{ nav_drop_down_bg_color }};
  }

  .menu__submenu--level-2 > .menu__item:first-child:before {
    {{ nav_drop_down_border }}
    background-color: {{ nav_drop_down_bg_color }};
  }
}

.menu__submenu .menu__link,
.menu__submenu .menu__link:hover,
.menu__submenu .menu__link:focus {
  color: {{ nav_drop_down_font_color }};
  background-color: {{ nav_drop_down_bg_color }};
}

.header__language-switcher .lang_list_class:before {
  border-bottom-color: {{ theme.header.drop_downs.border.border.top.color }};
}

.menu__submenu .menu__link:hover,
.menu__submenu .menu__link:focus,
.header__language-switcher .lang_list_class li:hover,
.menu__submenu--level-2 > .menu__item:first-child:hover:before,
.menu__submenu--level-2 > .menu__item:first-child.focus:before {
  background-color: {{ header_bg_color }};
}

.header__language-switcher .lang_list_class.first-active::after {
  border-bottom-color: {{ header_bg_color }};
}

.header__language-switcher-label-current,
.header__language-switcher .lang_list_class li a {
  font-family: {{ body_font.font }};
}

.header__language-switcher-label-current:after {
  border-top-color: {{ nav_font_color }};
}

@media(max-width: 767px) {
  .header__navigation {
    background-color: {{ header_bg_color }};
  }

  .header__navigation-toggle svg,
  .menu-arrow svg {
    fill: {{ nav_font_color }};
  }
}

{###########################################################################}
{###########################   8. Website footer   #########################}
{###########################################################################}

.footer {
  background-color: {{ footer_bg_color }};
}

/* Footer content */

.footer p,
.footer h1,
.footer h2,
.footer h3,
.footer h4,
.footer h5,
.footer h6,
.footer label,
.footer span,
.footer li,
.footer img {
  color: {{ footer_font_color }};
}

{###########################################################################}
{##############################   9. Blog   ################################}
{###########################################################################}

.blog-post,
.blog-header__inner,
.blog-related-posts {
  padding: {{ theme.spacing.vertical_spacing ~ 'px' }} 0;
}

/* Blog post */

.blog-post__meta a {
  color: {{ body_font.color }};
}

.blog-post__tag-link {
  color: {{ body_font.color }};
}

.blog-post__tag-link:hover,
.blog-post__tag-link:focus {
  color: {{ color_variant(body_font.color, -40) }};
}

.blog-post__tag-link:active {
  color: {{ color_variant(body_font.color, 40) }};
}

/* Blog related posts */

.blog-related-posts__title-link,
.blog-related-posts__title-link:hover,
.blog-related-posts__title-link:focus,
.blog-related-posts__title-link:active {
  {{ h2_font.style }};
  text-transform: {{ h2_text_transform }};
}

.blog-related-posts__title-link {
  color: {{ h2_font.color }};
}

.blog-related-posts__title-link:hover,
.blog-related-posts__title-link:focus {
  color: {{ color_variant(h2_font.color, -40) }};
}

.blog-related-posts__title-link:active {
  color: {{ color_variant(h2_font.color, 40) }};
}

/* Blog comments */

.blog-comments {
  margin-bottom: {{ theme.spacing.vertical_spacing }}px;
}

#comments-listing .comment-reply-to {
  color: {{ anchor_font.color }};
}

#comments-listing .comment-reply-to:hover,
#comments-listing .comment-reply-to:focus {
  color: {{ color_variant(anchor_font.color, -40) }};
}

#comments-listing .comment-reply-to:active {
  color: {{ color_variant(anchor_font.color, 40) }};
}

{###########################################################################}
{##########################   10. System pages   ###########################}
{###########################################################################}

.hs-search-results__title {
  {{ h1_font.style }};
  color: {{ h1_font.color }};
}

{###########################################################################}
{############################   11. Modules   ##############################}
{###########################################################################}

/* Blog listing */

.blog-index__post-title-link,
.blog-index__post-title-link:hover,
.blog-index__post-title-link:focus,
.blog-index__post-title-link:active {
  {{ h2_font.style }};
  text-transform: {{ h2_text_transform }};
}

.blog-index__post-title-link {
  color: {{ h2_font.color }};
}

.blog-index__post-title-link:hover,
.blog-index__post-title-link:focus {
  color: {{ color_variant(h2_font.color, -40) }};
}

.blog-index__post-title-link:active {
  color: {{ color_variant(h2_font.color, 40) }};
}

.blog-index__post-tag,
.blog-index__post-author-name {
  color: {{ body_font.color }};
}

/* Blog pagination */

.pagination__link-text,
.pagination__link--number {
  color: {{ body_font.color }};
}

.pagination__link:hover .pagination__link-text,
.pagination__link:focus .pagination__link-text,
.pagination__link--number:hover,
.pagination__link--number:focus {
  color: {{ color_variant(body_font.color, -40) }};
}

.pagination__link:active .pagination__link-text,
.pagination__link--number:active {
  color: {{ color_variant(body_font.color, 40) }};
}

.pagination__link-icon svg {
  fill: {{ body_font.color }};
}

/* Pricing card */

.card__price {
  {{ h3_font.style }};
  color: {{ h3_font.color }};
  font-size: {{ h3_font.size ~ h3_font.size_unit }};
}

.card__body svg {
  fill: {{ primary_color }};
}

/* Social follow */

.social-links__icon {
  background-color: {{ primary_color }};
}

.social-links__icon:hover,
.social-links__icon:focus {
  background-color: {{ color_variant(primary_color, -40) }};
}

.social-links__icon:active {
  background-color: {{ color_variant(primary_color, 40) }};
  {{ h3_font.style }};
  color: {{ h3_font.color }};
  font-size: {{ h3_font.size ~ h3_font.size_unit }};
}
